This endpoint is used to retrieve chat threads of an agent. It defaults to retrieving chat threads with call source if include_call_threads is not provided.
Path Parameters:
Query Parameters:
Returns:
Current Version:
curl --location -g --request GET 'https:///api/v2/agents//chat-threads?include_call_threads&items_per_page&page&paginated&query_source' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer '{
"success": true,
"message": "string",
"data": {
"chat_threads": [
{
"id": 0,
"created_by": "string",
"modified_by": "string",
"created_on": "2019-08-24T14:15:22.123Z",
"modified_on": "2019-08-24T14:15:22.123Z",
"corpus_id": 0,
"title": "string",
"is_deleted": true,
"chat_id": "string",
"is_system_created": true,
"agent": 0,
"user": 0
}
],
"meta": {
"count": 0,
"num_pages": 0,
"current_page": 0
}
}
}